# WOK
TKWOK
WOKBuilder

# WOKBuilder_MSAction Class Reference

`#include <WOKBuilder_MSAction.hxx>`

## Public Member Functions

Standard_EXPORT | WOKBuilder_MSAction ()
Standard_EXPORT | WOKBuilder_MSAction (const Handle(WOKBuilder_MSAction)&anaction, const WOKBuilder_MSActionType atype)
Standard_EXPORT | WOKBuilder_MSAction (const Handle(WOKBuilder_MSEntity)&anentity, const WOKBuilder_MSActionType atype)
Standard_EXPORT | WOKBuilder_MSAction (const Handle(TCollection_HAsciiString)&aname, const WOKBuilder_MSActionType atype)
Standard_EXPORT void | SetEntity (const Handle(WOKBuilder_MSEntity)&anentity)
const Handle_WOKBuilder_MSEntity & | Entity () const
Standard_EXPORT void | SetType (const WOKBuilder_MSActionType atype)
WOKBuilder_MSActionType | Type () const
WOKUtils_TimeStat | Date () const
Standard_EXPORT void | SetDate (const WOKUtils_TimeStat &adate)
Standard_EXPORT void | GetDate ()
Standard_EXPORT WOKBuilder_MSActionStatus | Status () const
Standard_EXPORT void | SetStatus (const WOKBuilder_MSActionStatus astatus)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_WOKBuilder_MSEntity | myent
WOKBuilder_MSActionType | mytype
WOKBuilder_MSActionStatus | mystatus
WOKUtils_TimeStat | mydate

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_MSAction::WOKBuilder_MSAction | ( |  | ) |

Standard_EXPORT WOKBuilder_MSAction::WOKBuilder_MSAction | ( | const Handle(WOKBuilder_MSAction)& | anaction,
|  | const WOKBuilder_MSActionType | atype
| ) |

Standard_EXPORT WOKBuilder_MSAction::WOKBuilder_MSAction | ( | const Handle(WOKBuilder_MSEntity)& | anentity,
|  | const WOKBuilder_MSActionType | atype
| ) |

Standard_EXPORT WOKBuilder_MSAction::WOKBuilder_MSAction | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKBuilder_MSActionType | atype
| ) |

## Member Function Documentation

WOKUtils_TimeStat WOKBuilder_MSAction::Date | ( |  | ) | const`[inline]`

const Handle_WOKBuilder_MSEntity& WOKBuilder_MSAction::Entity | ( |  | ) | const

Standard_EXPORT void WOKBuilder_MSAction::GetDate | ( |  | ) |

Standard_EXPORT const WOKBuilder_MSAction::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKBuilder_MSAction::SetDate | ( | const WOKUtils_TimeStat & | adate | ) |

Standard_EXPORT void WOKBuilder_MSAction::SetEntity | ( | const Handle(WOKBuilder_MSEntity)& | anentity | ) |

Standard_EXPORT void WOKBuilder_MSAction::SetStatus | ( | const WOKBuilder_MSActionStatus | astatus | ) |

Standard_EXPORT void WOKBuilder_MSAction::SetType | ( | const WOKBuilder_MSActionType | atype | ) |

Standard_EXPORT WOKBuilder_MSActionStatus WOKBuilder_MSAction::Status | ( |  | ) | const

WOKBuilder_MSActionType WOKBuilder_MSAction::Type | ( |  | ) | const`[inline]`

## Field Documentation

WOKUtils_TimeStat WOKBuilder_MSAction::mydate `[private]`

Handle_WOKBuilder_MSEntity WOKBuilder_MSAction::myent `[private]`

WOKBuilder_MSActionStatus WOKBuilder_MSAction::mystatus `[private]`

WOKBuilder_MSActionType WOKBuilder_MSAction::mytype `[private]`

The documentation for this class was generated from the following files:

- WOKBuilder_MSAction.hxx
- WOKBuilder_MSAction.lxx